package org.pine.mybatis.po;

/**
 * Sexö
 * @author pine
 *
 */
public enum Sex {

	FEMALE(0, "Ů"), MALE(1, "");
	
	private int code;

	private String displayName;

	private Sex(int code, String displayName) {
		this.code = code;
		this.displayName = displayName;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getDisplayName() {
		return displayName;
	}

	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}
	
	/**
	 * ͨcodeȡSexöʵ
	 * @param code
	 * @return
	 */
	public static Sex getSex(int code){
	    Sex[] sexs=	Sex.values();
	    for(int i=0;i<sexs.length;i++){
	    	Sex sex = sexs[i];
	    	if(sex.getCode()==code){
	    		return sex;
	    	}
	    }
	    return null;
	}

	@Override
	public String toString() {
		return "{"+this.code+":"+this.displayName+"}";
	}

	
	

}
